#pragma once

#include "basic.h"
#include <chrono>

struct Timer {
  bool running = false;
  std::chrono::time_point<std::chrono::steady_clock> start_time{};
};

void start_timer(Timer *timer);
f32 stop_timer(Timer *timer);
